/*
 *  This source is originated from W3C DOM draft
 *     http://www.w3.org/TR/WD-DOM/level-one-xml-971209.html
 *
 *  Copyright (C) 1997 W3C (MIT, INRIA, Keio).
 */

package org.w3c.dom;

import java.util.Vector;

public interface AttributeDefinition extends Node {

  public final class DeclaredValueType {
    public final int CDATA 				= 0;
    public final int ID 				= 1;
    public final int IDREF 				= 2;
    public final int IDREFS 			= 3;
    public final int ENTITY 			= 4;
    public final int ENTITIES 			= 5;
    public final int NMTOKEN 			= 6;
    public final int NMTOKENS 			= 7;
    public final int NOTATION 			= 8;
    public final int NAME_TOKEN_GROUP 	= 9;
  };

  public final class DefaultValueType {
    public final int VALUE 				= 0;
    public final int FIXED 				= 1;
    public final int REQUIRED 			= 2;
    public final int IMPLIED 			= 3;
  };

  void setName(String name);
  String getName();

  void setAllowedTokens(Vector allowedTokens);
  Vector getAllowedTokens();

  // The ints for the following two methods should be
  // constants declared in the DeclaredValueType class.

  void setDeclaredType(int declaredType);
  int getDeclaredType();

  // The ints for the following two methods should be
  // constants declared in the DefaultValueType class.

  void setDefaultType(int defaultType);
  int getDefaultType();

  void setDefaultValue(NodeList defaultValue);
  NodeList getDefaultValue();

};
