/*
 *  This source is originated from W3C DOM draft
 *     http://www.w3.org/TR/WD-DOM/level-one-core-971209.html
 *
 *  Copyright (C) 1997 W3C (MIT, INRIA, Keio).
 */

package org.w3c.dom;

public interface DOMFactory {

  Document          createDocument();
  DocumentContext   createDocumentContext();
  Element           createElement(String tagName, AttributeList attributes);
  Text              createTextNode(String data);
  Comment           createComment(String data);
  PI                createPI(String name, String data);
  Attribute         createAttribute(String name, NodeList value);

};
