/*
 *  This source is originated from W3C DOM draft
 *     http://www.w3.org/TR/WD-DOM/level-one-xml-971209.html
 *
 *  Copyright (C) 1997 W3C (MIT, INRIA, Keio).
 */

package org.w3c.dom;

import java.util.Vector;

public interface ElementDefinition extends Node {

  public final class ContentType {
    public final int EMPTY 		 = 0;
    public final int ANY 		 = 1;
    public final int PCDATA 	 = 2;
    public final int MODEL_GROUP = 3;
  };

  void setName(String name);
  String getName();

  // The ints for the following two methods should be
  // constants defined in the ContentType class.

  void setContentType(int contentType);
  int getContentType();

  void setContentModel(ModelGroup contentModel);
  ModelGroup getContentModel();

  void setAttributeDefinitions(NamedNodeList attributeDefinitions);
  NamedNodeList getAttributeDefinitions();

  void setInclusions(Vector inclusions);
  Vector getInclusions();

  void setExceptions(Vector exceptions);
  Vector getExceptions();

};
