/*
 *  This source is originated from W3C DOM draft
 *     http://www.w3.org/TR/WD-DOM/level-one-core-971209.html
 *
 *  Copyright (C) 1997 W3C (MIT, INRIA, Keio).
 */

package org.w3c.dom;

// NodeEnumerator traverses the nodes in a NodeList.

public interface NodeEnumerator {

  Node getFirst();
  Node getNext();
  Node getPrevious();
  Node getLast();

  Node getCurrent();

  // The rationale for their existence is that the enumerator may be used
  // internally to a method, which may return some interesting value, and
  // therefore cannot also indicate whether the start or end of enumeration
  // was reached.  Any of the traversal methods affects the state, and
  // so are not suitable for usage as predicates (unless possible state
  // manipulation is acceptable).

  boolean atStart();
  boolean atEnd();

};
